CVE-2018-1066

CVE: CVE-2018-1066
Published: 2018-03-02T08:29Z
Description Language: en
Description: The Linux kernel before version 4.11 is vulnerable to a NULL pointer dereference in fs/cifs/cifsencrypt.c:setup_ntlmv2_rsp() that allows an attacker controlling a CIFS server to kernel panic a client that has this server mounted, because an empty TargetInfo field in an NTLMSSP setup negotiation response is mishandled during session recovery.
References:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=cabfb3680f78981d26c078a26e5c748531257ebb
https://bugzilla.redhat.com/show_bug.cgi?id=1539599
https://github.com/torvalds/linux/commit/cabfb3680f78981d26c078a26e5c748531257ebb
https://patchwork.kernel.org/patch/10187633/